Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.workarea
Class PrimitiveContextFactory

    java.lang.Object
      weblogic.workarea.PrimitiveContextFactory

public class PrimitiveContextFactory
extends Object

`PrimitiveContextFactory` provides internal users and layered products convenience mechanisms for creating `WorkContext`s instances containing primitive data.

See Also:
  `WorkContextMap`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`PrimitiveContextFactory()`

Method Summary
`static WorkContext` | `create(long ctx)` Creates a new `WorkContext` containing 64-bit long context data.
`static WorkContext` | `create(Serializable ctx)` Creates a new `WorkContext` containing opaque Serializable context data.
`static WorkContext` | `create(String ctx)` Creates a new `WorkContext` containing Unicode String context data.
`static WorkContext` | `createASCII(String ctx)` Creates a new `WorkContext` containing 8-bit ASCII context data.
`static String` | `createEncodedKey(String key)` Creates a short `WorkContext` key based on `key`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimitiveContextFactory

    public PrimitiveContextFactory()

Method Detail

### create

    public static WorkContext create(long ctx)

  Creates a new `WorkContext` containing 64-bit long context data.

  See Also:
    `WorkContextMap.put(java.lang.String, weblogic.workarea.WorkContext)`

### create

    public static WorkContext create(Serializable ctx)
                              throws IOException

  Creates a new `WorkContext` containing opaque Serializable context data. CAUTION: use with care. Data propagated in this way will be opaque to underlying protocol implementations and will generally be less efficient.

  Throws:
    `IOException`
  See Also:
    `WorkContextMap.put(java.lang.String, weblogic.workarea.WorkContext)`

### create

    public static WorkContext create(String ctx)

  Creates a new `WorkContext` containing Unicode String context data.

  See Also:
    `WorkContextMap.put(java.lang.String, weblogic.workarea.WorkContext)`

### createASCII

    public static WorkContext createASCII(String ctx)

  Creates a new `WorkContext` containing 8-bit ASCII context data.

  See Also:
    `WorkContextMap.put(java.lang.String, weblogic.workarea.WorkContext)`

### createEncodedKey

    public static String createEncodedKey(String key)

  Creates a short `WorkContext` key based on `key`. Short keys are more efficiently serialized. The returned key will always be the same for the same values of `key`.

  See Also:
    `WorkContextMap.put(java.lang.String, weblogic.workarea.WorkContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD